POST /v1/signature/envelopes/{id}/approve
const url = 'https://api.asap.cool/v1/signature/envelopes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve';const options = {method: 'POST', headers: {cookie: 'asap_session=<asap_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.asap.cool/v1/signature/envelopes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \ --cookie asap_session=<asap_session>Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters »Envelope identifier.
Responses
Section intitulée « Responses »Approval recorded.
Body of a successful remove/approve.
object
Always true on a 200 response.
Example generated
{ "ok": true}No active org / no interactive user.
Generic error body returned by API handlers when they fail. code is a
stable machine-readable token; message is human-friendly and meant for
surfacing to end users.
object
Stable machine token (e.g. invalid_credentials).
Offending request field for validation errors, when known.
Human-readable message.
Example generated
{ "code": "example", "field": "example", "message": "example"}The caller is not an approver of this envelope.
Generic error body returned by API handlers when they fail. code is a
stable machine-readable token; message is human-friendly and meant for
surfacing to end users.
object
Stable machine token (e.g. invalid_credentials).
Offending request field for validation errors, when known.
Human-readable message.
Example generated
{ "code": "example", "field": "example", "message": "example"}